aboutsummaryrefslogtreecommitdiff
path: root/paludis/resolver/resolver_TEST_serialisation_setup.sh
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2009-09-19 18:53:46 +0100
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2009-09-19 18:53:46 +0100
commita436158492bc800e1e588b96f3e00037bfe45f10 (patch)
treedded6665e1e8bdcfbfdab4c1de0a33c87c9b6ec2 /paludis/resolver/resolver_TEST_serialisation_setup.sh
parent62e333a285f16fa1404d974f6d62c580363eb029 (diff)
downloadpaludis-a436158492bc800e1e588b96f3e00037bfe45f10.tar.gz
paludis-a436158492bc800e1e588b96f3e00037bfe45f10.tar.xz
more tests
Diffstat (limited to 'paludis/resolver/resolver_TEST_serialisation_setup.sh')
-rwxr-xr-xpaludis/resolver/resolver_TEST_serialisation_setup.sh53
1 files changed, 53 insertions, 0 deletions
diff --git a/paludis/resolver/resolver_TEST_serialisation_setup.sh b/paludis/resolver/resolver_TEST_serialisation_setup.sh
new file mode 100755
index 000000000..73ba965c5
--- /dev/null
+++ b/paludis/resolver/resolver_TEST_serialisation_setup.sh
@@ -0,0 +1,53 @@
+#!/usr/bin/env bash
+# vim: set ft=sh sw=4 sts=4 et :
+
+mkdir resolver_TEST_serialisation_dir || exit 1
+cd resolver_TEST_serialisation_dir || exit 1
+
+mkdir -p build
+mkdir -p distdir
+mkdir -p installed
+
+mkdir -p repo/{profiles/profile,metadata}
+
+cd repo
+echo "repo" > profiles/repo_name
+: > metadata/categories.conf
+
+# serialisation
+echo 'serialisation' >> metadata/categories.conf
+
+mkdir -p 'packages/serialisation/target'
+cat <<END > packages/serialisation/target/target-1.exheres-0
+SUMMARY="target"
+PLATFORMS="test"
+SLOT="0"
+DEPENDENCIES="
+ ( build: serialisation/dep serialisation/error )
+ ( post,suggested: serialisation/suggestion )
+ "
+END
+
+mkdir -p 'packages/serialisation/dep'
+cat <<END > packages/serialisation/dep/dep-1.exheres-0
+SUMMARY="dep"
+PLATFORMS="test"
+SLOT="0"
+END
+
+mkdir -p 'packages/serialisation/suggestion'
+cat <<END > packages/serialisation/suggestion/suggestion-1.exheres-0
+SUMMARY="suggestion"
+PLATFORMS="test"
+SLOT="0"
+END
+
+mkdir -p 'packages/serialisation/error'
+cat <<END > packages/serialisation/error/error-1.exheres-0
+SUMMARY="error"
+SLOT="0"
+END
+
+cd ..
+
+